## gitypelib gitypelib — TODO |

## Functions

GITypelib * | g_typelib_new_from_memory ()
GITypelib * | g_typelib_new_from_const_memory ()
GITypelib * | g_typelib_new_from_mapped_file ()
void | g_typelib_free ()
gboolean | g_typelib_symbol ()
const gchar * | g_typelib_get_namespace ()

## Types and Values

| GITypelib

## Description

TODO

## Functions

### g_typelib_new_from_memory ()

    GITypelib *
    g_typelib_new_from_memory (guint8 *memory,
                               gsize len,
                               GError **error);

Creates a new GITypelib from a memory location. The memory block pointed to by `typelib` will be automatically `g_free()`d when the repository is destroyed.

#### Parameters

memory | address of memory chunk containing the typelib |
len | length of memory chunk containing the typelib |
error | a GError |

#### Returns

the new GITypelib

### g_typelib_new_from_const_memory ()

    GITypelib *
    g_typelib_new_from_const_memory (const guint8 *memory,
                                     gsize len,
                                     GError **error);

Creates a new GITypelib from a memory location.

#### Parameters

memory | address of memory chunk containing the typelib |
len | length of memory chunk containing the typelib |
error | A GError |

#### Returns

the new GITypelib

### g_typelib_new_from_mapped_file ()

    GITypelib *
    g_typelib_new_from_mapped_file (GMappedFile *mfile,
                                    GError **error);

Creates a new GITypelib from a GMappedFile.

#### Parameters

mfile | a GMappedFile, that will be free'd when the repository is destroyed |
error | a GError |

#### Returns

the new GITypelib

### g_typelib_free ()

    void
    g_typelib_free (GITypelib *typelib);

Free a GITypelib.

#### Parameters

typelib | a GITypelib |

### g_typelib_symbol ()

    gboolean
    g_typelib_symbol (GITypelib *typelib,
                      const gchar *symbol_name,
                      gpointer *symbol);

Loads a symbol from GITypelib.

#### Parameters

typelib | the typelib |
symbol_name | name of symbol to be loaded |
symbol | returns a pointer to the symbol value |

#### Returns

TRUE on success

### g_typelib_get_namespace ()

    const gchar *
    g_typelib_get_namespace (GITypelib *typelib);

TODO

#### Parameters

typelib | TODO |

#### Returns

TODO

## Types and Values

### GITypelib

    typedef struct {
    } GITypelib;

TODO